if exists (select * from AKUZ.S_ANALYSIS_CalcLexem where len(Value) > 4000) raiserror('Уменьшить поле Value в таблице S_ANALYSIS_CalcLexem', 16, 10);
ALTER TABLE AKUZ.S_ANALYSIS_CalcLexem ALTER COLUMN Value varchar(4000);
if exists (select * from AKUZ.S_ANALYSIS_ValidateLexem where len(Value) > 2500) raiserror('Уменьшить поле Value в таблице S_ANALYSIS_ValidateLexem', 16, 10);
ALTER TABLE AKUZ.S_ANALYSIS_ValidateLexem ALTER COLUMN Value varchar(2500);
if exists (select * from AKUZ.T_ADDING_EQUIPMENT where len(AnnulmentReason) > 500) raiserror('Уменьшить поле AnnulmentReason в таблице T_ADDING_EQUIPMENT', 16, 10);
ALTER TABLE AKUZ.T_ADDING_EQUIPMENT ALTER COLUMN AnnulmentReason varchar(500);
if exists (select * from AKUZ.T_ADDING_EQUIPMENT where len([Description]) > 500) raiserror('Уменьшить поле [Description] в таблице T_ADDING_EQUIPMENT', 16, 10);
ALTER TABLE AKUZ.T_ADDING_EQUIPMENT ALTER COLUMN [Description] varchar(500);
if exists (select * from AKUZ.T_AFTERREFFECT_OPERATION where len(Descr) > 500) raiserror('Уменьшить поле Descr в таблице T_AFTERREFFECT_OPERATION', 16, 10);
ALTER TABLE AKUZ.T_AFTERREFFECT_OPERATION ALTER COLUMN Descr varchar(500) NOT NULL;
if exists (select * from AKUZ.T_AIR_MEDICAL_SERVICE_BASE_RECORD where len(Diagnosis) > 4096) raiserror('Уменьшить поле Diagnosis в таблице T_AIR_MEDICAL_SERVICE_BASE_RECORD', 16, 10);
ALTER TABLE AKUZ.T_AIR_MEDICAL_SERVICE_BASE_RECORD ALTER COLUMN Diagnosis varchar(4096);
if exists (select * from AKUZ.T_AKBARS_TC_PATIENT where len(Anamnez) > 1000) raiserror('Уменьшить поле Anamnez в таблице T_AKBARS_TC_PATIENT', 16, 10);
ALTER TABLE AKUZ.T_AKBARS_TC_PATIENT ALTER COLUMN Anamnez varchar(1000);
if exists (select * from AKUZ.T_AKBARS_TC_PATIENT where len(Comment) > 255) raiserror('Уменьшить поле Comment в таблице T_AKBARS_TC_PATIENT', 16, 10);
ALTER TABLE AKUZ.T_AKBARS_TC_PATIENT ALTER COLUMN Comment varchar(255);
if exists (select * from AKUZ.T_AKBARS_TC_PATIENT where len(Complaint) > 2500) raiserror('Уменьшить поле Complaint в таблице T_AKBARS_TC_PATIENT', 16, 10);
ALTER TABLE AKUZ.T_AKBARS_TC_PATIENT ALTER COLUMN Complaint varchar(2500);
if exists (select * from AKUZ.T_AKBARS_TC_PATIENT where len(Recommendation) > 3000) raiserror('Уменьшить поле Recommendation в таблице T_AKBARS_TC_PATIENT', 16, 10);
ALTER TABLE AKUZ.T_AKBARS_TC_PATIENT ALTER COLUMN Recommendation varchar(3000);
if exists (select * from AKUZ.T_ANALYSIS_TEMPLATE where len(CalcLexem) > 4000) raiserror('Уменьшить поле CalcLexem в таблице T_ANALYSIS_TEMPLATE', 16, 10);
ALTER TABLE AKUZ.T_ANALYSIS_TEMPLATE ALTER COLUMN CalcLexem varchar(4000);
if exists (select * from AKUZ.T_ANALYSIS_TEMPLATE where len(ValidateLexem) > 1500) raiserror('Уменьшить поле ValidateLexem в таблице T_ANALYSIS_TEMPLATE', 16, 10);
ALTER TABLE AKUZ.T_ANALYSIS_TEMPLATE ALTER COLUMN ValidateLexem varchar(1500);
if exists (select * from AKUZ.T_APPOINTMENT_DIET_DICTIONARY where len([Description]) > 500) raiserror('Уменьшить поле [Description] в таблице T_APPOINTMENT_DIET_DICTIONARY', 16, 10);
ALTER TABLE AKUZ.T_APPOINTMENT_DIET_DICTIONARY ALTER COLUMN [Description] varchar(500) NOT NULL; 
if exists (select * from AKUZ.T_APPOINTMENT_VALIDATION_DICTIONARY where len(Lexem) > 2000) raiserror('Уменьшить поле Lexem в таблице T_APPOINTMENT_VALIDATION_DICTIONARY', 16, 10);
ALTER TABLE AKUZ.T_APPOINTMENT_VALIDATION_DICTIONARY ALTER COLUMN Lexem varchar(2000) NOT NULL; 
if exists (select * from AKUZ.T_ASSOCIATED_DISEASE where len(Diagnosis) > 4096) raiserror('Уменьшить поле Diagnosis в таблице T_ASSOCIATED_DISEASE', 16, 10);
ALTER TABLE AKUZ.T_ASSOCIATED_DISEASE ALTER COLUMN Diagnosis varchar(4096) NOT NULL; 
if exists (select * from AKUZ.T_ASULON_LOG where len(ErrorText) > 2000) raiserror('Уменьшить поле ErrorText в таблице T_ASULON_LOG', 16, 10);
ALTER TABLE AKUZ.T_ASULON_LOG ALTER COLUMN ErrorText varchar(2000);
if exists (select * from AKUZ.T_ASULON_LOG where len(RequestData) > 2000) raiserror('Уменьшить поле RequestData в таблице T_ASULON_LOG', 16, 10);
ALTER TABLE AKUZ.T_ASULON_LOG ALTER COLUMN RequestData varchar(2000);
if exists (select * from AKUZ.T_BACTERIAL_INOCULATION where len(Result) > 1000) raiserror('Уменьшить поле Result в таблице T_BACTERIAL_INOCULATION', 16, 10);
ALTER TABLE AKUZ.T_BACTERIAL_INOCULATION ALTER COLUMN Result varchar(1000);
if exists (select * from AKUZ.T_BASE_INTERVENTION_PROTOCOL where len(HtmlResult) > 2000) raiserror('Уменьшить поле HtmlResult в таблице T_BASE_INTERVENTION_PROTOCOL', 16, 10);
ALTER TABLE AKUZ.T_BASE_INTERVENTION_PROTOCOL ALTER COLUMN HtmlResult varchar(2000);
if exists (select * from AKUZ.T_BASE_RESEARCH_PROTOCOL where len(HtmlResult) > 2000) raiserror('Уменьшить поле HtmlResult в таблице T_BASE_RESEARCH_PROTOCOL', 16, 10);
ALTER TABLE AKUZ.T_BASE_RESEARCH_PROTOCOL ALTER COLUMN HtmlResult varchar(2000);
if exists (select * from AKUZ.T_CALL_INFO where len([Data]) > 2000) raiserror('Уменьшить поле [Data] в таблице T_CALL_INFO', 16, 10);
ALTER TABLE AKUZ.T_CALL_INFO ALTER COLUMN [Data] varchar(2000) NOT NULL; 
if exists (select * from AKUZ.T_CAMI_STUDY where len(Images) > 255) raiserror('Уменьшить поле Images в таблице T_CAMI_STUDY', 16, 10);
ALTER TABLE AKUZ.T_CAMI_STUDY ALTER COLUMN Images varchar(255);
if exists (select * from AKUZ.T_CANCEL_OPERATION where len(Reason) > 500) raiserror('Уменьшить поле Reason в таблице T_CANCEL_OPERATION', 16, 10);
ALTER TABLE AKUZ.T_CANCEL_OPERATION ALTER COLUMN Reason varchar(500);
if exists (select * from sys.indexes i where i.[object_id] = OBJECT_ID('AKUZ.T_CARD_NOTE', 'U') and i.name = 'IX_T_CARD_NOTE_ReadyToBeSent')
	drop index IX_T_CARD_NOTE_ReadyToBeSent on AKUZ.T_CARD_NOTE;
go
if exists (select * from AKUZ.T_CARD_NOTE where len(PluggableAttributes) > 2000) raiserror('Уменьшить поле PluggableAttributes в таблице T_CARD_NOTE', 16, 10);
ALTER TABLE AKUZ.T_CARD_NOTE ALTER COLUMN PluggableAttributes varchar(2000);

CREATE NONCLUSTERED INDEX [IX_T_CARD_NOTE_ReadyToBeSent] ON [AKUZ].[T_CARD_NOTE] ([ReadyToBeSent], [EmdrDocType], [IsDelayed])
INCLUDE([CardNoteRecipient], [CdaDocument], [Descr], [Division], [DocumentNumber], [EmdrTemplate], [MedicalRecordID], [PluggableAttributes], [WhereToSend]) WITH (SORT_IN_TEMPDB = ON, FILLFACTOR = 95);
go

if exists (select * from AKUZ.T_CARD_NOTE_ASSOCIATION where len(ReceiveInfoError) > 1000) raiserror('Уменьшить поле ReceiveInfoError в таблице T_CARD_NOTE_ASSOCIATION', 16, 10);
ALTER TABLE AKUZ.T_CARD_NOTE_ASSOCIATION ALTER COLUMN ReceiveInfoError varchar(1000);
if exists (select * from AKUZ.T_CDA_ADDEXAMEVENT_ADDITIONALEXAM where len(MedicalDescription) > 1000) raiserror('Уменьшить поле MedicalDescription в таблице T_CDA_ADDEXAMEVENT_ADDITIONALEXAM', 16, 10);
ALTER TABLE AKUZ.T_CDA_ADDEXAMEVENT_ADDITIONALEXAM ALTER COLUMN MedicalDescription varchar(1000);
if exists (select * from AKUZ.T_CDA_ADDEXAMINFO_EVENTINFO_ADDITIONALEXAM where len(Comment) > 400) raiserror('Уменьшить поле Comment в таблице T_CDA_ADDEXAMINFO_EVENTINFO_ADDITIONALEXAM', 16, 10);
ALTER TABLE AKUZ.T_CDA_ADDEXAMINFO_EVENTINFO_ADDITIONALEXAM ALTER COLUMN Comment varchar(400);
if exists (select * from AKUZ.T_CDA_DGN_CHILD_STAGE_EPICRISIS where len(ClinicalDiagnosis) > 1500) raiserror('Уменьшить поле ClinicalDiagnosis в таблице T_CDA_DGN_CHILD_STAGE_EPICRISIS', 16, 10);
ALTER TABLE AKUZ.T_CDA_DGN_CHILD_STAGE_EPICRISIS ALTER COLUMN ClinicalDiagnosis varchar(1500);
if exists (select * from AKUZ.T_CDA_DGN_NOSOLOGICAL_UNIT where len(MkbDesc) > 4096) raiserror('Уменьшить поле MkbDesc в таблице T_CDA_DGN_NOSOLOGICAL_UNIT', 16, 10);
ALTER TABLE AKUZ.T_CDA_DGN_NOSOLOGICAL_UNIT ALTER COLUMN MkbDesc varchar(4096) NOT NULL; 
if exists (select * from AKUZ.T_CDA_DGN_SPECIFIED_DEGREE_OF_VALIDITY_AKENEO where len(DiagnosisDescription) > 1000) raiserror('Уменьшить поле DiagnosisDescription в таблице T_CDA_DGN_SPECIFIED_DEGREE_OF_VALIDITY_AKENEO', 16, 10);
ALTER TABLE AKUZ.T_CDA_DGN_SPECIFIED_DEGREE_OF_VALIDITY_AKENEO ALTER COLUMN DiagnosisDescription varchar(1000) NOT NULL; 
if exists (select * from AKUZ.T_CDA_DIC_LABORATORY_EQIUPMENT where len([Description]) > 500) raiserror('Уменьшить поле [Description] в таблице T_CDA_DIC_LABORATORY_EQIUPMENT', 16, 10);
ALTER TABLE AKUZ.T_CDA_DIC_LABORATORY_EQIUPMENT ALTER COLUMN [Description] varchar(500);
if exists (select * from AKUZ.T_CDA_DOCINFO_PREVENTIVE_VACCINATION where len([Name]) > 255) raiserror('Уменьшить поле [Name] в таблице T_CDA_DOCINFO_PREVENTIVE_VACCINATION', 16, 10);
ALTER TABLE AKUZ.T_CDA_DOCINFO_PREVENTIVE_VACCINATION ALTER COLUMN [Name] varchar(255);
if exists (select * from AKUZ.T_CDA_EXAMINFO_REPORT_FOR_ELMK where len(Note) > 500) raiserror('Уменьшить поле Note в таблице T_CDA_EXAMINFO_REPORT_FOR_ELMK', 16, 10);
ALTER TABLE AKUZ.T_CDA_EXAMINFO_REPORT_FOR_ELMK ALTER COLUMN Note varchar(500);
if exists (select * from AKUZ.T_CDA_HOSP_EPICRIS_LAB_RESEARCH where len(Conclusion) > 7000) raiserror('Уменьшить поле Conclusion в таблице T_CDA_HOSP_EPICRIS_LAB_RESEARCH', 16, 10);
ALTER TABLE AKUZ.T_CDA_HOSP_EPICRIS_LAB_RESEARCH ALTER COLUMN Conclusion varchar(7000);
if exists (select * from AKUZ.T_CDA_INSTRUMENTAL_RESEARCH_KAS_AKENEO where len(Conclusion) > 1000) raiserror('Уменьшить поле Conclusion в таблице T_CDA_INSTRUMENTAL_RESEARCH_KAS_AKENEO', 16, 10);
ALTER TABLE AKUZ.T_CDA_INSTRUMENTAL_RESEARCH_KAS_AKENEO ALTER COLUMN Conclusion varchar(1000) NOT NULL; 
if exists (select * from AKUZ.T_CDA_INSTRUMENTAL_RESEARCH_KAS_AKENEO where len(Protocol) > 1000) raiserror('Уменьшить поле Protocol в таблице T_CDA_INSTRUMENTAL_RESEARCH_KAS_AKENEO', 16, 10);
ALTER TABLE AKUZ.T_CDA_INSTRUMENTAL_RESEARCH_KAS_AKENEO ALTER COLUMN Protocol varchar(1000);
if exists (select * from AKUZ.T_CDA_LINKDOCS_SANATORY_CARD where len(DocumentNote) > 3000) raiserror('Уменьшить поле DocumentNote в таблице T_CDA_LINKDOCS_SANATORY_CARD', 16, 10);
ALTER TABLE AKUZ.T_CDA_LINKDOCS_SANATORY_CARD ALTER COLUMN DocumentNote varchar(3000);
if exists (select * from AKUZ.T_CDA_MSE_REFERRAL_DGN_DIAGNOSIS where len(DoctorDesc) > 4000) raiserror('Уменьшить поле DoctorDesc в таблице T_CDA_MSE_REFERRAL_DGN_DIAGNOSIS', 16, 10);
ALTER TABLE AKUZ.T_CDA_MSE_REFERRAL_DGN_DIAGNOSIS ALTER COLUMN DoctorDesc varchar(4000) NOT NULL;
if exists (select * from AKUZ.T_CDA_ONC_CONS_SCORES_DETAIL where len(Comment) > 400) raiserror('Уменьшить поле Comment в таблице T_CDA_ONC_CONS_SCORES_DETAIL', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONC_CONS_SCORES_DETAIL ALTER COLUMN Comment varchar(400);
if exists (select * from AKUZ.T_CDA_ONC_CONS_SERVICES_DETAIL where len(Comment) > 400) raiserror('Уменьшить поле Comment в таблице T_CDA_ONC_CONS_SERVICES_DETAIL', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONC_CONS_SERVICES_DETAIL ALTER COLUMN Comment varchar(400);
if exists (select * from AKUZ.T_CDA_ONC_CONS_SUM_DETAIL_COMPL where len(ComplicationDescription) > 400) raiserror('Уменьшить поле ComplicationDescription в таблице T_CDA_ONC_CONS_SUM_DETAIL_COMPL', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONC_CONS_SUM_DETAIL_COMPL ALTER COLUMN ComplicationDescription varchar(400);
if exists (select * from AKUZ.T_CDA_ONKO_DGN where len(ClinicalDgnDesc) > 5000) raiserror('Уменьшить поле ClinicalDgnDesc в таблице T_CDA_ONKO_DGN', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_DGN ALTER COLUMN ClinicalDgnDesc varchar(5000) NOT NULL;
if exists (select * from AKUZ.T_CDA_ONKO_PROC_RESINSTR where len(ResultsDescription) > 6000) raiserror('Уменьшить поле ResultsDescription в таблице T_CDA_ONKO_PROC_RESINSTR', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_PROC_RESINSTR ALTER COLUMN ResultsDescription varchar(6000);
if exists (select * from AKUZ.T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL where len(Complaints) > 4000) raiserror('Уменьшить поле Complaints в таблице T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL ALTER COLUMN Complaints varchar(4000);
if exists (select * from AKUZ.T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL where len(Diagnosis) > 4096) raiserror('Уменьшить поле Diagnosis в таблице T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL ALTER COLUMN Diagnosis varchar(4096);
if exists (select * from AKUZ.T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL where len(ObjectiveStatus) > 2000) raiserror('Уменьшить поле ObjectiveStatus в таблице T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_SECTION_CONSILIUM_PROTOCOL ALTER COLUMN ObjectiveStatus varchar(2000);
if exists (select * from AKUZ.T_CDA_ONKO_SECTION_RESMOR where len(CytogramResult) > 2000) raiserror('Уменьшить поле CytogramResult в таблице T_CDA_ONKO_SECTION_RESMOR', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_SECTION_RESMOR ALTER COLUMN CytogramResult varchar(2000) NOT NULL; 
if exists (select * from AKUZ.T_CDA_ONKO_SECTION_STATEDIS where len(StateDescription) > 7000) raiserror('Уменьшить поле StateDescription в таблице T_CDA_ONKO_SECTION_STATEDIS', 16, 10);
ALTER TABLE AKUZ.T_CDA_ONKO_SECTION_STATEDIS ALTER COLUMN StateDescription varchar(7000);
if exists (select * from AKUZ.T_CDA_PATOBJ_STAGE_EPICRISIS where len(Conclusion) > 4500) raiserror('Уменьшить поле Conclusion в таблице T_CDA_PATOBJ_STAGE_EPICRISIS', 16, 10);
ALTER TABLE AKUZ.T_CDA_PATOBJ_STAGE_EPICRISIS ALTER COLUMN Conclusion varchar(4500) NOT NULL; 
if exists (select * from AKUZ.T_CDA_PROC_RESCONS_V4 where len(ConclusionText) > 6000) raiserror('Уменьшить поле ConclusionText в таблице T_CDA_PROC_RESCONS_V4', 16, 10);
ALTER TABLE AKUZ.T_CDA_PROC_RESCONS_V4 ALTER COLUMN ConclusionText varchar(6000);
if exists (select * from AKUZ.T_CDA_PROC_RESCONS_V4 where len(ResultText) > 6000) raiserror('Уменьшить поле ResultText в таблице T_CDA_PROC_RESCONS_V4', 16, 10);
ALTER TABLE AKUZ.T_CDA_PROC_RESCONS_V4 ALTER COLUMN ResultText varchar(6000);
if exists (select * from AKUZ.T_CDA_PROC_RESLAB_V4 where len(CommentText) > 500) raiserror('Уменьшить поле CommentText в таблице T_CDA_PROC_RESLAB_V4', 16, 10);
ALTER TABLE AKUZ.T_CDA_PROC_RESLAB_V4 ALTER COLUMN CommentText varchar(500);
if exists (select * from AKUZ.T_CDA_PROC_RESLAB_V4 where len(ResultText) > 3000) raiserror('Уменьшить поле ResultText в таблице T_CDA_PROC_RESLAB_V4', 16, 10);
ALTER TABLE AKUZ.T_CDA_PROC_RESLAB_V4 ALTER COLUMN ResultText varchar(3000);
if exists (select * from AKUZ.T_CDA_PROC_RESMOR_V4 where len(ResultText) > 1000) raiserror('Уменьшить поле ResultText в таблице T_CDA_PROC_RESMOR_V4', 16, 10);
ALTER TABLE AKUZ.T_CDA_PROC_RESMOR_V4 ALTER COLUMN ResultText varchar(1000);
if exists (select * from AKUZ.T_CDA_PROCEDURE_AKENEO where len(ProcedureDescription) > 500) raiserror('Уменьшить поле ProcedureDescription в таблице T_CDA_PROCEDURE_AKENEO', 16, 10);
ALTER TABLE AKUZ.T_CDA_PROCEDURE_AKENEO ALTER COLUMN ProcedureDescription varchar(500) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_ANAM_CONSULTATION where len(TreatmentInformation) > 2000) raiserror('Уменьшить поле TreatmentInformation в таблице T_CDA_SECTION_ANAM_CONSULTATION', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_ANAM_CONSULTATION ALTER COLUMN TreatmentInformation varchar(2000) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_ADDITIONALEXAM where len(PurposeExam) > 500) raiserror('Уменьшить поле PurposeExam в таблице T_CDA_SECTION_DOCINFO_ADDITIONALEXAM', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_ADDITIONALEXAM ALTER COLUMN PurposeExam varchar(500);
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_CONTRAINDICATIONSTOGUN where len(Comment) > 500) raiserror('Уменьшить поле Comment в таблице T_CDA_SECTION_DOCINFO_CONTRAINDICATIONSTOGUN', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_CONTRAINDICATIONSTOGUN ALTER COLUMN Comment varchar(500);
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_MEDCERTIFICATE where len(Conclusion) > 1000) raiserror('Уменьшить поле Conclusion в таблице T_CDA_SECTION_DOCINFO_MEDCERTIFICATE', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_MEDCERTIFICATE ALTER COLUMN Conclusion varchar(1000);
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_MEDRECORD_EXTRACT where len(ExtractPurpose) > 500) raiserror('Уменьшить поле ExtractPurpose в таблице T_CDA_SECTION_DOCINFO_MEDRECORD_EXTRACT', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_MEDRECORD_EXTRACT ALTER COLUMN ExtractPurpose varchar(500) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_MEDRECORD_EXTRACT where len(WorkPlaceOccupation) > 500) raiserror('Уменьшить поле WorkPlaceOccupation в таблице T_CDA_SECTION_DOCINFO_MEDRECORD_EXTRACT', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_MEDRECORD_EXTRACT ALTER COLUMN WorkPlaceOccupation varchar(500);
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_POISONING where len(FirstAntiEpidemicMeasuresAndAdditionalInfo) > 1500) raiserror('Уменьшить поле FirstAntiEpidemicMeasuresAndAdditionalInfo в таблице T_CDA_SECTION_DOCINFO_POISONING', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_POISONING ALTER COLUMN FirstAntiEpidemicMeasuresAndAdditionalInfo varchar(1500) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_DOCINFO_WORK_EXEMPTION_FORDONOR where len(Comment) > 400) raiserror('Уменьшить поле Comment в таблице T_CDA_SECTION_DOCINFO_WORK_EXEMPTION_FORDONOR', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DOCINFO_WORK_EXEMPTION_FORDONOR ALTER COLUMN Comment varchar(400) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_DRIVER_LICENSE_EXAMINFO_DETAIL where len(Conclusion) > 2000) raiserror('Уменьшить поле Conclusion в таблице T_CDA_SECTION_DRIVER_LICENSE_EXAMINFO_DETAIL', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DRIVER_LICENSE_EXAMINFO_DETAIL ALTER COLUMN Conclusion varchar(2000) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_DRIVER_LICENSE_RESINSTR where len(Conclusion) > 2000) raiserror('Уменьшить поле Conclusion в таблице T_CDA_SECTION_DRIVER_LICENSE_RESINSTR', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DRIVER_LICENSE_RESINSTR ALTER COLUMN Conclusion varchar(2000);
if exists (select * from AKUZ.T_CDA_SECTION_DRIVER_RESEARCH_RESLAB_DETAIL where len(LabResearch) > 500) raiserror('Уменьшить поле LabResearch в таблице T_CDA_SECTION_DRIVER_RESEARCH_RESLAB_DETAIL', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_DRIVER_RESEARCH_RESLAB_DETAIL ALTER COLUMN LabResearch varchar(500);
if exists (select * from AKUZ.T_CDA_SECTION_EPIDEM_ROUTTODIAG where len(EpidemiologicalHistory) > 500) raiserror('Уменьшить поле EpidemiologicalHistory в таблице T_CDA_SECTION_EPIDEM_ROUTTODIAG', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_EPIDEM_ROUTTODIAG ALTER COLUMN EpidemiologicalHistory varchar(500) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_GISTRESULT where len(MicroDescription) > 5000) raiserror('Уменьшить поле MicroDescription в таблице T_CDA_SECTION_GISTRESULT', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_GISTRESULT ALTER COLUMN MicroDescription varchar(5000) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_GISTRESULT where len(MorphologicalFinal) > 4000) raiserror('Уменьшить поле MorphologicalFinal в таблице T_CDA_SECTION_GISTRESULT', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_GISTRESULT ALTER COLUMN MorphologicalFinal varchar(4000) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_GISTSPECIMENS where len(MacroDescription) > 6000) raiserror('Уменьшить поле MacroDescription в таблице T_CDA_SECTION_GISTSPECIMENS', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_GISTSPECIMENS ALTER COLUMN MacroDescription varchar(6000) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_LABORATORY_RESULT where len(Summary) > 1000) raiserror('Уменьшить поле Summary в таблице T_CDA_SECTION_LABORATORY_RESULT', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_LABORATORY_RESULT ALTER COLUMN Summary varchar(1000);
if exists (select * from AKUZ.T_CDA_SECTION_MEDICAL_REPORT_DOCINFO where len(Comment) > 400) raiserror('Уменьшить поле Comment в таблице T_CDA_SECTION_MEDICAL_REPORT_DOCINFO', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_MEDICAL_REPORT_DOCINFO ALTER COLUMN Comment varchar(400);
if exists (select * from AKUZ.T_CDA_SECTION_MEDICAL_REPORT_DOCINFO where len(PastInfectiousDisasesInfo) > 7000) raiserror('Уменьшить поле PastInfectiousDisasesInfo в таблице T_CDA_SECTION_MEDICAL_REPORT_DOCINFO', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_MEDICAL_REPORT_DOCINFO ALTER COLUMN PastInfectiousDisasesInfo varchar(7000);
if exists (select * from AKUZ.T_CDA_SECTION_NONDRUG where len(Comment) > 400) raiserror('Уменьшить поле Comment в таблице T_CDA_SECTION_NONDRUG', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_NONDRUG ALTER COLUMN Comment varchar(400);
if exists (select * from AKUZ.T_CDA_SECTION_NONDRUG where len(MedicalProcedureDescription) > 500) raiserror('Уменьшить поле MedicalProcedureDescription в таблице T_CDA_SECTION_NONDRUG', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_NONDRUG ALTER COLUMN MedicalProcedureDescription varchar(500) NOT NULL;
if exists (select * from AKUZ.T_CDA_SECTION_PATOBJ_CONSULTATION where len(ObjectiveStatus) > 3000) raiserror('Уменьшить поле ObjectiveStatus в таблице T_CDA_SECTION_PATOBJ_CONSULTATION', 16, 10);
ALTER TABLE AKUZ.T_CDA_SECTION_PATOBJ_CONSULTATION ALTER COLUMN ObjectiveStatus varchar(3000) NOT NULL;
